com.jscape.util.reflection

## Class PropertyDescriptor

- java.lang.Object
- - com.jscape.util.reflection.PropertyDescriptor

-     public class PropertyDescriptor
      extends java.lang.Object

  Action property descriptor.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `advanced`
    `FieldType` | `fieldType`
    `java.lang.String` | `groupName`
    `java.lang.String` | `label`
    `java.lang.String` | `postLabel`
    `java.lang.String` | `propertyName`
    `boolean` | `required`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertyDescriptor(java.lang.String propertyName, boolean required)` Deprecated.
    `PropertyDescriptor(java.lang.String propertyName, boolean required, FieldType fieldType)` Deprecated.
    `PropertyDescriptor(java.lang.String propertyName, FieldType fieldType, boolean required, boolean advanced)`
    `PropertyDescriptor(java.lang.String propertyName, FieldType fieldType, boolean required, boolean advanced, java.lang.String groupName)`
    `PropertyDescriptor(java.lang.String propertyName, java.lang.String postLabel, FieldType fieldType, boolean required, boolean advanced)`
    `PropertyDescriptor(java.lang.String propertyName, java.lang.String postLabel, FieldType fieldType, boolean required, boolean advanced, java.lang.String groupName)`
    `PropertyDescriptor(java.lang.String propertyName, java.lang.String label, java.lang.String postLabel, FieldType fieldType, boolean required, boolean advanced, java.lang.String groupName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FieldType` | `getFieldType()` Return property type.
    `java.lang.String` | `getGroupName()`
    `java.lang.String` | `getLabel()` Returns property label.
    `java.lang.String` | `getPostLabel()` Returns property post label.
    `java.lang.String` | `getPropertyName()` Returns property name.
    `boolean` | `isAdvanced()` Returns whether property is advanced.
    `boolean` | `isRequired()` Returns whether property is required.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### propertyName

          public final java.lang.String propertyName

    - #### label

          public final java.lang.String label

    - #### postLabel

          public final java.lang.String postLabel

    - #### fieldType

          public final FieldType fieldType

    - #### required

          public final boolean required

    - #### advanced

          public final boolean advanced

    - #### groupName

          public final java.lang.String groupName

  - ### Constructor Detail

    - #### PropertyDescriptor

          public PropertyDescriptor(java.lang.String propertyName,
                                    java.lang.String label,
                                    java.lang.String postLabel,
                                    FieldType fieldType,
                                    boolean required,
                                    boolean advanced,
                                    java.lang.String groupName)

    - #### PropertyDescriptor

          public PropertyDescriptor(java.lang.String propertyName,
                                    java.lang.String postLabel,
                                    FieldType fieldType,
                                    boolean required,
                                    boolean advanced,
                                    java.lang.String groupName)

    - #### PropertyDescriptor

          public PropertyDescriptor(java.lang.String propertyName,
                                    java.lang.String postLabel,
                                    FieldType fieldType,
                                    boolean required,
                                    boolean advanced)

    - #### PropertyDescriptor

          public PropertyDescriptor(java.lang.String propertyName,
                                    FieldType fieldType,
                                    boolean required,
                                    boolean advanced)

    - #### PropertyDescriptor

          public PropertyDescriptor(java.lang.String propertyName,
                                    FieldType fieldType,
                                    boolean required,
                                    boolean advanced,
                                    java.lang.String groupName)

    - #### PropertyDescriptor

          public PropertyDescriptor(java.lang.String propertyName,
                                    boolean required,
                                    FieldType fieldType)

      Deprecated.
      Creates new instance.
      Parameters:
        `propertyName` - the property name
        `required` - if property is required
        `fieldType` - the field type

    - #### PropertyDescriptor

          public PropertyDescriptor(java.lang.String propertyName,
                                    boolean required)

      Deprecated.
      Creates new instance.
      Parameters:
        `propertyName` - the property name.
        `required` - if property is required

  - ### Method Detail

    - #### getPropertyName

          public java.lang.String getPropertyName()

      Returns property name.
      Returns:
        the property name

    - #### getLabel

          public java.lang.String getLabel()

      Returns property label.
      Returns:
        the property label

    - #### getPostLabel

          public java.lang.String getPostLabel()

      Returns property post label.
      Returns:
        the post label

    - #### getFieldType

          public FieldType getFieldType()

      Return property type.
      Returns:
        the field type

    - #### isRequired

          public boolean isRequired()

      Returns whether property is required.
      Returns:
        `true` if property is required

    - #### isAdvanced

          public boolean isAdvanced()

      Returns whether property is advanced.
      Returns:
        `true` if property is advanced.

    - #### getGroupName

          public java.lang.String getGroupName()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © Advanced Systems Concepts Inc. 1999-2021. All Rights Reserved